jif.ast

## Class CanonicalConstraintNode_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - jif.ast.ConstraintNode_c<Assertion>
    - - jif.ast.CanonicalConstraintNode_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, CanonicalConstraintNode, ConstraintNode<Assertion>, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.util.Copy<polyglot.ast.Node>

      public class CanonicalConstraintNode_c
      extends ConstraintNode_c<Assertion>
      implements CanonicalConstraintNode

  An implementation of the `CanonicalConstraint`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class jif.ast.ConstraintNode_c

      `constraints`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CanonicalConstraintNode_c(polyglot.util.Position pos, Assertion constraint)`
    `CanonicalConstraintNode_c(polyglot.util.Position pos, Assertion constraint, polyglot.ast.Ext ext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Assertion` | `constraint()` Gets the constraint.
    `void` | `prettyPrint(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
    `void` | `translate(polyglot.util.CodeWriter w, polyglot.visit.Translator tr)`

    - ### Methods inherited from class jif.ast.ConstraintNode_c

      `constraint, constraints, constraints, copy, exceptionCheckEnter, isDisambiguated, setConstraint, toString`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copyIfNeeded, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, dump, enterChildScope, enterScope, error, error, error, exceptionCheck, ext, ext, ext, ext, extRewrite, extRewriteEnter, extRewriteOverride, isTypeChecked, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitChildren, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jif.ast.ConstraintNode

      `constraints, constraints`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Constructor Detail

    - #### CanonicalConstraintNode_c

          public CanonicalConstraintNode_c(polyglot.util.Position pos,
                                           Assertion constraint)

    - #### CanonicalConstraintNode_c

          public CanonicalConstraintNode_c(polyglot.util.Position pos,
                                           Assertion constraint,
                                           polyglot.ast.Ext ext)

  - ### Method Detail

    - #### constraint

          public Assertion constraint()

      Description copied from interface: `CanonicalConstraintNode`
      Gets the constraint.
      Specified by:
        `constraint` in interface `CanonicalConstraintNode`
      Overrides:
        `constraint` in class `ConstraintNode_c<Assertion>`

    - #### prettyPrint

          public void prettyPrint(polyglot.util.CodeWriter w,
                                  polyglot.visit.PrettyPrinter tr)

      Specified by:
        `prettyPrint` in interface `polyglot.ast.NodeOps`
      Overrides:
        `prettyPrint` in class `polyglot.ast.Node_c`

    - #### translate

          public void translate(polyglot.util.CodeWriter w,
                                polyglot.visit.Translator tr)

      Specified by:
        `translate` in interface `polyglot.ast.NodeOps`
      Overrides:
        `translate` in class `polyglot.ast.Node_c`